// Oefening QueueTest, D&D 5, blz 1067,..

import be.hogent.h20.H20_Queue;
import be.hogent.h20.H20_EmptyListException;

public class H20_QeueuTest {
	
	public static void main (String args[]) {
		H20_Queue wachtlijst = new H20_Queue();
		
		Boolean bool = Boolean.TRUE;
		Character karakter = new Character('€');
		Integer integer = new Integer(21184);
		String string = "Psst";
		
		wachtlijst.enqueue(bool);
		wachtlijst.print();
		wachtlijst.enqueue(karakter);
		wachtlijst.print();
		wachtlijst.enqueue(integer);
		wachtlijst.print();
		wachtlijst.enqueue(string);
		wachtlijst.print();
		
		try {
			Object removedObject = null;
			
			while (true) {
				removedObject = wachtlijst.dequeue();
				System.out.println(removedObject.toString() + " dequeued (= verwijderd)");
				wachtlijst.print();
			}
		}
		catch (H20_EmptyListException x) {
			x.printStackTrace();
		}
	}

}
